varying vec4 vertex_ambient;

void main()
{	
	/* Compute the diffuse, ambient and globalAmbient terms */
	vertex_ambient = gl_LightModel.ambient * gl_FrontMaterial.ambient;
	
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
} 
